aboutsummaryrefslogtreecommitdiffstats
path: root/pkg/vcs/testdata/linux
diff options
context:
space:
mode:
Diffstat (limited to 'pkg/vcs/testdata/linux')
-rwxr-xr-xpkg/vcs/testdata/linux/config-bisect.pl4
1 files changed, 3 insertions, 1 deletions
diff --git a/pkg/vcs/testdata/linux/config-bisect.pl b/pkg/vcs/testdata/linux/config-bisect.pl
index 3388e3da0..29a488e58 100755
--- a/pkg/vcs/testdata/linux/config-bisect.pl
+++ b/pkg/vcs/testdata/linux/config-bisect.pl
@@ -1,8 +1,10 @@
-#!/bin/sh
+#!/bin/bash
# Copyright 2020 syzkaller project authors. All rights reserved.
# Use of this source code is governed by Apache 2 LICENSE that can be found in the LICENSE file.
# config-bisect.pl -l ctx.git.dir -r -b ctx.git.dir kernelBaselineConfig kernelConfig
+set -eu
+
if [ "$3" == "-r" ]
then
baseline=`cat $6`